Subject: Create clear cache command to clear system caches
Description

After the introduction of cache groups with #54991
there is no possibility (except install tool) to clear
all caches.

Add a CLI clear cache command to accomplish this task.

History
#1 - 2014-01-15 21:55 - Markus Klein

Why specifically a CLI command?
So using the browser, the Install Tool remains the only way.

#2 - 2014-12-09 14:54 - Christian Kuhn
- Status changed from New to Needs Feedback

Hey Helmut,

imho, this issue is part of a bigger topic that creates a general cli interface (like from your extension) for stuff and then also includes the cache
clearing.

the backend now also has a system cache that can be enabled in the "flash" menu, so i also see this issue partly solved already.

Do you think it is ok to close this issue here and do the cli stuff with new tickets later?

#3 - 2014-12-09 16:15 - Helmut Hummel
- Status changed from Needs Feedback to Rejected

This is implemented already in typo3_console, which might be part of the core at some point.

The integration of the CLI tools will have several other tickets, so this can be closed now.
